<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Фотоальбом - Добавить альбом');

///Подключаем шапку
$title->GetHeader();
if ($b['level'] < 3) {
header('location: /');
die();
}

echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Фотоальбом </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/gallery" rel="v:url" property="v:title">Фотоальбом</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Добавить альбом</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - Список альбомов</div>';

if (isset($_POST['add'])) {
$name = check($_POST['name']);
$text = check($_POST['text']);
if (empty($name)) {
err('Введите название альбома!');
} elseif (DB::$dbs->querySingle("SELECT COUNT(id) FROM album_cat WHERE name = ?", [$name]) > 0) {
err('Такой альбом уже есть.');
} else {
DB::$dbs->query("INSERT INTO album_cat SET name = ?, time = ?, text = ?", [$name,time(),$text]);
header('location: /gallery');
}
}
echo '<form name="form" method="post" action="?add_cat.html"><div class="row text_box">Название:<br/><input type="text" class="form-control" name="name"/><br/>Описание:<br/>';
//quickpaste('text');
//quickcode();echo'<br/>';
//quicksmiles();
echo'<textarea name="text" class="form-control" rows="3""></textarea><br/><input type="submit" class="btn btn-primary" name="add" value="Добавить"/></div></form>';

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>
